Package org.jboss.resteasy.plugins.providers

## Class AbstractPatchMethodFilter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractPatchMethodFilter

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerRequestFilter`
  Direct Known Subclasses:
    `JsonpPatchMethodFilter`, `PatchMethodFilter`

      public abstract class AbstractPatchMethodFilter
      extends Object
      implements javax.ws.rs.container.ContainerRequestFilter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractPatchMethodFilter.FilterFlag` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `APPLICATION_JSON_MERGE_PATCH_JSON` |
    `static javax.ws.rs.core.MediaType` | `APPLICATION_JSON_MERGE_PATCH_JSON_TYPE` |
    `protected javax.ws.rs.ext.Providers` | `providers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPatchMethodFilter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract byte[]` | `applyPatch​(javax.ws.rs.container.ContainerRequestContext requestContext, byte[] targetJsonBytes)` |
    `void` | `filter​(javax.ws.rs.container.ContainerRequestContext requestContext)` |
    `protected ResourceMethodInvoker` | `getMethodInvoker​(javax.ws.rs.container.ContainerRequestContext requestContext)` |
    `protected Object` | `getTargetObject​(javax.ws.rs.container.ContainerRequestContext requestContext, ResourceMethodInvoker methodInvoker)` |
    `protected abstract boolean` | `isDisabled​(javax.ws.rs.container.ContainerRequestContext context)` |
    `protected AbstractPatchMethodFilter.FilterFlag` | `readFilterDisabledFlag​(javax.ws.rs.container.ContainerRequestContext requestContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_JSON_MERGE_PATCH_JSON

          public static final String APPLICATION_JSON_MERGE_PATCH_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_MERGE_PATCH_JSON_TYPE

          public static final javax.ws.rs.core.MediaType APPLICATION_JSON_MERGE_PATCH_JSON_TYPE

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

  - ### Constructor Detail

    - #### AbstractPatchMethodFilter

          public AbstractPatchMethodFilter()

  - ### Method Detail

    - #### readFilterDisabledFlag

          protected AbstractPatchMethodFilter.FilterFlag readFilterDisabledFlag​(javax.ws.rs.container.ContainerRequestContext requestContext)

    - #### isDisabled

          protected abstract boolean isDisabled​(javax.ws.rs.container.ContainerRequestContext context)

    - #### filter

          public void filter​(javax.ws.rs.container.ContainerRequestContext requestContext)
                      throws IOException

      Specified by:
        `filter` in interface `javax.ws.rs.container.ContainerRequestFilter`
      Throws:
        `IOException`

    - #### applyPatch

          protected abstract byte[] applyPatch​(javax.ws.rs.container.ContainerRequestContext requestContext,
                                               byte[] targetJsonBytes)
                                        throws IOException,
                                               Failure

      Throws:
        `IOException`
        `Failure`

    - #### getTargetObject

          protected Object getTargetObject​(javax.ws.rs.container.ContainerRequestContext requestContext,
                                           ResourceMethodInvoker methodInvoker)

    - #### getMethodInvoker

          protected ResourceMethodInvoker getMethodInvoker​(javax.ws.rs.container.ContainerRequestContext requestContext)